package com.chinaweal.aiccs.common.constant;

import java.util.HashMap;
import java.util.Map;

public abstract class IndustryConstant {
    private static Map<String, String> INDUSTRY_MAP = new HashMap<String, String>();
    static {
        INDUSTRY_MAP.put("01","农业");
        INDUSTRY_MAP.put("02","林业");
        INDUSTRY_MAP.put("03","畜牧业");
        INDUSTRY_MAP.put("04","渔业");
        INDUSTRY_MAP.put("05","农、林、牧、渔专业及辅助性活动");
        INDUSTRY_MAP.put("06","煤炭开采和洗选业");
        INDUSTRY_MAP.put("07","石油和天然气开采业");
        INDUSTRY_MAP.put("08","黑色金属矿采选业");
        INDUSTRY_MAP.put("09","有色金属矿采选业");
        INDUSTRY_MAP.put("10","非金属矿采选业");
        INDUSTRY_MAP.put("11","开采专业及辅助性活动");
        INDUSTRY_MAP.put("12","其他采矿业");
        INDUSTRY_MAP.put("13","农副食品加工业");
        INDUSTRY_MAP.put("14","食品制造业");
        INDUSTRY_MAP.put("15","酒、饮料和精制茶制造业");
        INDUSTRY_MAP.put("16","烟草制品业");
        INDUSTRY_MAP.put("17","烟草制品业");
        INDUSTRY_MAP.put("18","纺织服装、服饰业");
        INDUSTRY_MAP.put("19","皮革、毛皮、羽毛及其制品和制鞋业");
        INDUSTRY_MAP.put("20","木材加工和木、竹、藤、棕、草制品业");
        INDUSTRY_MAP.put("21","家具制造业");
        INDUSTRY_MAP.put("22","造纸和纸制品业");
        INDUSTRY_MAP.put("23","印刷和记录媒介复制业");
        INDUSTRY_MAP.put("24","文教、工美、体育和娱乐用品制造业");
        INDUSTRY_MAP.put("25","石油、煤炭及其他燃料加工业");
        INDUSTRY_MAP.put("26","化学原料和化学制品制造业");
        INDUSTRY_MAP.put("27","医药制造业");
        INDUSTRY_MAP.put("28","化学纤维制造业");
        INDUSTRY_MAP.put("29","橡胶和塑料制品业");
        INDUSTRY_MAP.put("30","非金属矿物制品业");
        INDUSTRY_MAP.put("31","黑色金属冶炼和压延加工业");
        INDUSTRY_MAP.put("32","有色金属冶炼和压延加工业");
        INDUSTRY_MAP.put("33","金属制品业");
        INDUSTRY_MAP.put("34","通用设备制造业");
        INDUSTRY_MAP.put("35","专用设备制造业");
        INDUSTRY_MAP.put("36","汽车制造业");
        INDUSTRY_MAP.put("37","铁路、船舶、航空航天和其他运输设备制造业");
        INDUSTRY_MAP.put("38","电气机械和器材制造业");
        INDUSTRY_MAP.put("39","计算机、通信和其他电子设备制造业");
        INDUSTRY_MAP.put("40","仪器仪表制造业");
        INDUSTRY_MAP.put("41","其他制造业");
        INDUSTRY_MAP.put("42","废弃资源综合利用业");
        INDUSTRY_MAP.put("43","金属制品、机械和设备修理业");
        INDUSTRY_MAP.put("44","电力、热力生产和供应业");
        INDUSTRY_MAP.put("45","燃气生产和供应业");
        INDUSTRY_MAP.put("46","水的生产和供应业");
        INDUSTRY_MAP.put("47","房屋建筑业");
        INDUSTRY_MAP.put("48","土木工程建筑业");
        INDUSTRY_MAP.put("49","建筑安装业");
        INDUSTRY_MAP.put("50","建筑装饰、装修和其他建筑业");
        INDUSTRY_MAP.put("51","批发业");
        INDUSTRY_MAP.put("52","零售业");
        INDUSTRY_MAP.put("53","铁路运输业");
        INDUSTRY_MAP.put("54","道路运输业");
        INDUSTRY_MAP.put("55","水上运输业");
        INDUSTRY_MAP.put("56","航空运输业");
        INDUSTRY_MAP.put("57","管道运输业");
        INDUSTRY_MAP.put("58","多式联运和运输代理业");
        INDUSTRY_MAP.put("59","装卸搬运和仓储业");
        INDUSTRY_MAP.put("60","邮政业");
        INDUSTRY_MAP.put("61","住宿业");
        INDUSTRY_MAP.put("62","餐饮业");
        INDUSTRY_MAP.put("63","电信、广播电视和卫星传输服务");
        INDUSTRY_MAP.put("64","互联网和相关服务");
        INDUSTRY_MAP.put("65","软件和信息技术服务业");
        INDUSTRY_MAP.put("66","货币金融服务");
        INDUSTRY_MAP.put("67","资本市场服务");
        INDUSTRY_MAP.put("68","保险业");
        INDUSTRY_MAP.put("69","其他金融业");
        INDUSTRY_MAP.put("70","房地产业");
        INDUSTRY_MAP.put("71","租赁业");
        INDUSTRY_MAP.put("72","商务服务业");
        INDUSTRY_MAP.put("73","研究和试验发展");
        INDUSTRY_MAP.put("74","专业技术服务业");
        INDUSTRY_MAP.put("75","科技推广和应用服务业");
        INDUSTRY_MAP.put("76","水利管理业");
        INDUSTRY_MAP.put("77","生态保护和环境治理业");
        INDUSTRY_MAP.put("78","公共设施管理业");
        INDUSTRY_MAP.put("79","土地管理业");
        INDUSTRY_MAP.put("80","居民服务业");
        INDUSTRY_MAP.put("81","机动车、电子产品和日用产品修理业");
        INDUSTRY_MAP.put("82","其他服务业");
        INDUSTRY_MAP.put("83","教育");
        INDUSTRY_MAP.put("84","卫生");
        INDUSTRY_MAP.put("85","社会工作");
        INDUSTRY_MAP.put("86","新闻和出版业");
        INDUSTRY_MAP.put("87","广播、电视、电影和录音制作业");
        INDUSTRY_MAP.put("88","文化艺术业");
        INDUSTRY_MAP.put("89","体育");
        INDUSTRY_MAP.put("90","娱乐业");
        INDUSTRY_MAP.put("91","中国共产党机关");
        INDUSTRY_MAP.put("92","国家机构");
        INDUSTRY_MAP.put("93","人民政协、民主党派");
        INDUSTRY_MAP.put("94","社会保障");
        INDUSTRY_MAP.put("95","群众团体、社会团体和其他成员组织");
        INDUSTRY_MAP.put("96","基层群众自治组织及其他组织");
        INDUSTRY_MAP.put("97","国际组织");
    }

    public static String getIndustryCN(String industryCode) {
        return INDUSTRY_MAP.get(industryCode);
    }
}
